<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [downloadCommand](./react.downloadcommand.md)

## downloadCommand() function

Constructs a download command. When clicked, will save the current table to a csv.

<b>Signature:</b>

```typescript
export declare function downloadCommand(table: ColumnTable, downloadFilename?: string, props?: Partial<ICommandBarItemProps>): ICommandBarItemProps;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  table | ColumnTable |  |
|  downloadFilename | string | <i>(Optional)</i> |
|  props | Partial&lt;ICommandBarItemProps&gt; | <i>(Optional)</i> |

<b>Returns:</b>

ICommandBarItemProps


